// JGameEx21.java

import ch.aplu.jgamegrid.*;
import java.awt.*;

public class JGameEx21 extends GameGrid implements GGMouseListener
{
  private Actor actor ;
  public JGameEx21()
  {
    super(8, 8, 70, Color.red,  false);
    setTitle("Drag Mouse!");
    addActor(new Actor("sprites/mouse.gif"), new Location(5, 5));
    addMouseListener(this, GGMouse.lPress | GGMouse.lDrag );
    show();
  }

  public boolean mouseEvent(GGMouse mouse)
  {
    Location location = toLocationInGrid(mouse.getX(), mouse.getY());
    switch (mouse.getEvent())
    {
      case GGMouse.lPress:
        actor = getOneActorAt(location);
        break;
      case GGMouse.lDrag:
        if (actor != null)
          actor.setLocation(location);
        break;
    }
    refresh();
    return true;
  }

  public static void main(String[] args)
  {
    new JGameEx21();
  }
}

